Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.section.model
Interface VSectionPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VSectionPackageImpl

    public interface VSectionPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VSectionFactory`

Nested Class Summary
`static interface` | `VSectionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VSectionPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `SECTION` The meta object id for the '`Section` ' class.
`static int` | `SECTION__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `SECTION__CHILD_ITEMS` The feature id for the 'Child Items' containment reference list.
`static int` | `SECTION__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SECTION__COLLAPSED` The feature id for the 'Collapsed' attribute.
`static int` | `SECTION__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `SECTION__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `SECTION__NAME` The feature id for the 'Name' attribute.
`static int` | `SECTION__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `SECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `SECTION_FEATURE_COUNT` The number of structural features of the 'Section' class.
`static int` | `SECTIONED_AREA` The meta object id for the '`Sectioned Area`' class.
`static int` | `SECTIONED_AREA__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `SECTIONED_AREA__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `SECTIONED_AREA__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `SECTIONED_AREA__NAME` The feature id for the 'Name' attribute.
`static int` | `SECTIONED_AREA__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `SECTIONED_AREA__ROOT` The feature id for the 'Root' containment reference.
`static int` | `SECTIONED_AREA__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `SECTIONED_AREA_FEATURE_COUNT` The number of structural features of the 'Sectioned Area' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getSection_ChildItems()` Returns the meta object for the containment reference list ' `Child Items`'.
`org.eclipse.emf.ecore.EAttribute` | `getSection_Collapsed()` Returns the meta object for the attribute ' `Collapsed`'.
`org.eclipse.emf.ecore.EClass` | `getSection()` Returns the meta object for class '`Section`'.
`org.eclipse.emf.ecore.EReference` | `getSectionedArea_Root()` Returns the meta object for the containment reference ' `Root`'.
`org.eclipse.emf.ecore.EClass` | `getSectionedArea()` Returns the meta object for class '`Sectioned Area`'.
`VSectionFactory` | `getSectionFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VSectionPackage eINSTANCE

  The singleton instance of the package.

### SECTIONED_AREA

    static final int SECTIONED_AREA

  The meta object id for the '`Sectioned Area`' class.

  See Also:
    `VSectionedAreaImpl`, `VSectionPackageImpl.getSectionedArea()`, Constant Field Values

### SECTIONED_AREA__NAME

    static final int SECTIONED_AREA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SECTIONED_AREA__VISIBLE

    static final int SECTIONED_AREA__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### SECTIONED_AREA__ENABLED

    static final int SECTIONED_AREA__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### SECTIONED_AREA__READONLY

    static final int SECTIONED_AREA__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### SECTIONED_AREA__DIAGNOSTIC

    static final int SECTIONED_AREA__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### SECTIONED_AREA__ATTACHMENTS

    static final int SECTIONED_AREA__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### SECTIONED_AREA__ROOT

    static final int SECTIONED_AREA__ROOT

  The feature id for the 'Root' containment reference.

  See Also:
    Constant Field Values

### SECTIONED_AREA_FEATURE_COUNT

    static final int SECTIONED_AREA_FEATURE_COUNT

  The number of structural features of the 'Sectioned Area' class.

  See Also:
    Constant Field Values

### SECTION

    static final int SECTION

  The meta object id for the '`Section` ' class.

  See Also:
    `VSectionImpl`, `VSectionPackageImpl.getSection()`, Constant Field Values

### SECTION__NAME

    static final int SECTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SECTION__VISIBLE

    static final int SECTION__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### SECTION__ENABLED

    static final int SECTION__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### SECTION__READONLY

    static final int SECTION__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### SECTION__DIAGNOSTIC

    static final int SECTION__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### SECTION__ATTACHMENTS

    static final int SECTION__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### SECTION__CHILDREN

    static final int SECTION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SECTION__CHILD_ITEMS

    static final int SECTION__CHILD_ITEMS

  The feature id for the 'Child Items' containment reference list.

  See Also:
    Constant Field Values

### SECTION__COLLAPSED

    static final int SECTION__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values

### SECTION_FEATURE_COUNT

    static final int SECTION_FEATURE_COUNT

  The number of structural features of the 'Section' class.

  See Also:
    Constant Field Values

Method Detail

### getSectionedArea

    org.eclipse.emf.ecore.EClass getSectionedArea()

  Returns the meta object for class '`Sectioned Area`'.

  Returns:
    the meta object for class 'Sectioned Area'.
  See Also:
    `VSectionedArea`

### getSectionedArea_Root

    org.eclipse.emf.ecore.EReference getSectionedArea_Root()

  Returns the meta object for the containment reference ' `Root`'.

  Returns:
    the meta object for the containment reference 'Root'.
  See Also:
    `VSectionedArea.getRoot()`, `getSectionedArea()`

### getSection

    org.eclipse.emf.ecore.EClass getSection()

  Returns the meta object for class '`Section`'.

  Returns:
    the meta object for class 'Section'.
  See Also:
    `VSection`

### getSection_ChildItems

    org.eclipse.emf.ecore.EReference getSection_ChildItems()

  Returns the meta object for the containment reference list ' `Child Items`'.

  Returns:
    the meta object for the containment reference list 'Child Items'.
  See Also:
    `VSection.getChildItems()`, `getSection()`

### getSection_Collapsed

    org.eclipse.emf.ecore.EAttribute getSection_Collapsed()

  Returns the meta object for the attribute ' `Collapsed`'.

  Returns:
    the meta object for the attribute 'Collapsed'.
  See Also:
    `VSection.isCollapsed()`, `getSection()`

### getSectionFactory

    VSectionFactory getSectionFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.